Update organization
curl --request PUT \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_id": 1,
"process_card_type_corporate": true,
"process_card_type_corporate_with_private_invoice": false,
"process_card_type_private": false
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_id: 1,
process_card_type_corporate: true,
process_card_type_corporate_with_private_invoice: false,
process_card_type_private: false
})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}"
payload = {
"billing_id": 1,
"process_card_type_corporate": True,
"process_card_type_corporate_with_private_invoice": False,
"process_card_type_private": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'billing_id' => 1,
'process_card_type_corporate' => true,
'process_card_type_corporate_with_private_invoice' => false,
'process_card_type_private' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 3,
"reference_id": "client_acme_001",
"tpa_id": 42,
"account_id": 1,
"name": "Acme AB",
"process_card_type_corporate": true,
"process_card_type_corporate_with_private_invoice": false,
"process_card_type_private": false
}Organizations
Update organization
Update reference_id, name, tpa_id, billing_id, or the card-type flags. The response does not include billing_id — read it back with GET.
PUT
/
accounts
/
{accountId}
/
organizations
/
{organizationId}
Update organization
curl --request PUT \
--url https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_id": 1,
"process_card_type_corporate": true,
"process_card_type_corporate_with_private_invoice": false,
"process_card_type_private": false
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_id: 1,
process_card_type_corporate: true,
process_card_type_corporate_with_private_invoice: false,
process_card_type_private: false
})
};
fetch('https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}"
payload = {
"billing_id": 1,
"process_card_type_corporate": True,
"process_card_type_corporate_with_private_invoice": False,
"process_card_type_private": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.opencard.io/api/v1/application/accounts/{accountId}/organizations/{organizationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'billing_id' => 1,
'process_card_type_corporate' => true,
'process_card_type_corporate_with_private_invoice' => false,
'process_card_type_private' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 3,
"reference_id": "client_acme_001",
"tpa_id": 42,
"account_id": 1,
"name": "Acme AB",
"process_card_type_corporate": true,
"process_card_type_corporate_with_private_invoice": false,
"process_card_type_private": false
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Your account ID
Organization ID
Body
application/json
Fields to change. Omit a field to leave it unchanged.
Deliver transactions for corporate cards invoiced to the company
Deliver transactions for corporate cards invoiced to the card holder
Deliver transactions for private cards invoiced to the card holder
Response
200 - application/json
Updated organization

